import { type EventEmitter } from "../../../../stencil-public-runtime";
export declare class FilterAccordion {
    private initialized;
    private el;
    expanded: boolean;
    readonly maxVisibleItems: number;
    count: number;
    totalItems: number;
    readonly filterGroupName = "";
    ifxFilterAccordionChange: EventEmitter;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private handleCheckedChange;
    disconnectedCallback(): void;
    private toggleAccordion;
    render(): any;
}
